# Get the difference between 2 revisions of an experiment template

Get the difference between 2 revisions of an experiment template in a hub

Endpoint: GET /gateway/chaos/manager/api/rest/experimenttemplates/{identity}/compare
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    account id to access the resource

  - `correlationID` (string)
    correlation id is used to debug micro svc communication

  - `hubIdentity` (string)

  - `organizationIdentifier` (string)
    organization id to access the resource

  - `projectIdentifier` (string)
    project id to access the resource

  - `revision1` (string)

  - `revision2` (string)

  - `verbose` (boolean)

## Path parameters:

  - `identity` (string, required)
    identity of the experiment

## Response 200 fields (application/json):

  - `correlationID` (string)

  - `template1` (string)

  - `template2` (string)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


